import { Permission } from "../../../../meta/core/resources/permissions/permission.resource";
import { PermissionAction } from "../../../../meta/core/resources/enums/permission-enums";
export declare function configureResourcePermissions(resourceIds: string[], resourceToPermissions: Map<string, Map<string, Permission>>, workspaceId?: string): Promise<void>;
export declare function seedPermissionPackageToPermissionIfNotExist(permissionPackageId: string, permissionIds: string[]): Promise<void>;
export declare function createAndSeedPermissionPackage(resourceId: string, name: string): Promise<void>;
export declare function getAllPermissionActions(): number;
export declare function getAllPermissionActionList(): number[];
export declare function addPermissionIds(resourceIds: string[], crudActions: PermissionAction, permissionIds: string[], resourceToPermissions: Map<string, Map<string, Permission>>): void;
/**
 * Configure or create a permission.
 *
 * @param id - The id of the permission to configure.
 * @param name - The name of the permission to configure.
 * @param workspaceId - The workspace id of the permission to configure.
 */
export declare function configurePermission(resourceId: string, name: string, workspaceId?: string): Promise<void>;
export declare function configurePermissionPackageToPermission(permissionPackageId: string, permissionId: string): Promise<void>;
export declare function addPropertyPermissions(resourceId: string, properties: string[], permissions: string[], crudActions: PermissionAction, propertiesToPermissions: Map<string, Map<string, Map<string, Permission>>>): void;
